#ifndef __STATES__MAIN_MENU_STATE_H__
#define __STATES__MAIN_MENU_STATE_H__

#include "BaseState.h"
#include <SDL2/SDL.h>
#include <string>

class MainMenuState : public BaseState
{
public:
    void Enter(Engine& engine) override;
    void Exit(Engine& engine) override;
    void HandleEvents(Engine& engine, SDL_Event& e) override;
    void Update(Engine& engine, float dt) override;
    void Render(Engine& engine) override;
    void RenderImGui(Engine& engine) override;
    
    std::string GetName() const override { return "MainMenuState"; }

private:
    std::string versionText = "kariokaEngine v0.01 - Built with SDL2 + EnTT + ImGui + Python - (c) poloniumv 2026";

    float fadeAlpha = 0.0f;

};

#endif